.main {
  &-posts {
    padding: 38px 30px;

    &-container {
      margin-top: -9px;

      .post-wrapper {
        margin-top: 32px;

        img {
          margin-top: 32px;
          width: 160px;
          margin-bottom: 11px;
        }

        &:hover,
        &:active {
          background-color: $menu-bg-color;
          transform: scale(1.03);
        }
      }
    }
  }

  &-shots {
    padding: 38px 30px;

    &-img-conteiner {
      margin-top: 13px;
      img {
        width: 100%;
      }
    }
  }
}

@media screen and (min-width: $tablet-width) {
  .main {
    &-posts {
      margin-top: 56px;
      margin-bottom: 60px;
      padding: $padding-cont-size-tab;

      &-container {
        margin-top: -9px;

        .post-wrapper {
          display: flex;
          margin-top: 32px;

          img {
            width: 160px;
            margin-right: 21px;
            margin-bottom: 0;
            margin-top: 0;
          }

          .description-text {
            margin-top: 13px;
            line-height: 1.6rem;
          }
        }
      }
    }

    &-shots {
      background-color: $menu-bg-color;
      padding: $padding-cont-size-tab;
      padding-top: 47px;
      padding-bottom: 56px;

      &-titleWrapper {
        display: flex;
        justify-content: space-between;

        a:hover,
        a:focus {
          color: $hover-text-color;
        }
      }

      &-img-conteiner {
        display: flex;
        justify-content: space-between;
        margin-top: 13px;
        gap: $img-gap;
        img {
          width: calc(100% / 3 - $img-gap);
        }
      }
    }
  }
}

@media screen and (min-width: $desktop-width) {
  .main {
    &-posts {
      margin-top: 66px;
      padding: $padding-cont-size-desk;

      &-container {
        display: flex;
        flex-wrap: wrap;
        margin-top: -9px;

        .post-wrapper {
          display: flex;
          width: 50%;
          margin-top: 32px;
        }
      }
    }

    &-shots {
      padding: $padding-cont-size-desk;
      padding-top: 47px;
      padding-bottom: 49px;
      &-img-conteiner {
        img {
          width: calc(100% / 4 - $img-gap);
        }
      }
    }
  }
}
